package model

type GetListOwnerResponse struct {
	SupplierUsers []SupplierUserBrief `json:"supplierUsers"`
	Total         int64               `json:"total"`
}

type SupplierUserBrief struct {
	ID        string        `json:"_id"`
	Role      RoleBrief     `json:"role"`
	Supplier  SupplierShort `json:"supplier"`
	Name      string        `json:"name"`
	Phone     string        `json:"phone"`
	Email     string        `json:"email"`
	Status    string        `json:"status"`
	Avatar    interface{}   `json:"avatar"`
	Type      string        `json:"type"`
	CreatedAt string        `json:"createdAt"`
	UpdatedAt string        `json:"updatedAt"`
}

type CreateOwnerResponse struct {
	ID string `json:"_id"`
}

type CreateStaffResponse struct {
	ID string `json:"_id"`
}

type ResetPasswordResponse struct {
	Password string `json:"password"`
}
